import { LRLanguage } from '@codemirror/language';
import { Extension } from '@codemirror/state';
import { Completion } from '@codemirror/autocomplete';

declare const STATIC_COMPLETIONS: Completion[];

declare function clearCache(): void;
declare function clearLabelCache(url?: string): void;
declare function clearValueCache(url?: string, label?: string): void;

declare const logqlSyntax: LRLanguage;
interface LogQLExtensionConfig {
    lokiUrl: string;
    enableCompletion?: boolean;
    cacheDuration?: number;
    fetchOptions?: RequestInit;
}
declare function logqlExtension(config: LogQLExtensionConfig): Extension;

export { STATIC_COMPLETIONS, clearCache, clearLabelCache, clearValueCache, logqlExtension as default, logqlExtension, logqlSyntax };
export type { LogQLExtensionConfig };
